Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.FetchSystemMetadataOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.FetchSystemMetadata`, `ClientWireProtocol.FetchSystemMetadata.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.FetchSystemMetadataOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall` `getCall()` `.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`int` `getCallValue()` `.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`String` `getColumn()` `string column = 4;`
`com.google.protobuf.ByteString` `getColumnBytes()` `string column = 4;`
`String` `getSchema()` Parameters for calls
`com.google.protobuf.ByteString` `getSchemaBytes()` Parameters for calls
`String` `getTable()` `string table = 3;`
`com.google.protobuf.ByteString` `getTableBytes()` `string table = 3;`
`boolean` `getTest()` whether to test against patterns
`String` `getView()` `string view = 5;`
`com.google.protobuf.ByteString` `getViewBytes()` `string view = 5;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getCallValue

    int getCallValue()

`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Returns:
  The enum numeric value on the wire for call.

#### getCall

    ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall getCall()

`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Returns:
  The call.

#### getSchema

    String getSchema()

     Parameters for calls

`string schema = 2;`

Returns:
  The schema.

#### getSchemaBytes

    com.google.protobuf.ByteString getSchemaBytes()

     Parameters for calls

`string schema = 2;`

Returns:
  The bytes for schema.

#### getTable

    String getTable()

`string table = 3;`

Returns:
  The table.

#### getTableBytes

    com.google.protobuf.ByteString getTableBytes()

`string table = 3;`

Returns:
  The bytes for table.

#### getColumn

    String getColumn()

`string column = 4;`

Returns:
  The column.

#### getColumnBytes

    com.google.protobuf.ByteString getColumnBytes()

`string column = 4;`

Returns:
  The bytes for column.

#### getView

    String getView()

`string view = 5;`

Returns:
  The view.

#### getViewBytes

    com.google.protobuf.ByteString getViewBytes()

`string view = 5;`

Returns:
  The bytes for view.

#### getTest

    boolean getTest()

     whether to test against patterns

`bool test = 6;`

Returns:
  The test.